%define major	8
%define gmajor	1.0
%define libname	%mklibname %{name} %{major}
%define girname	%mklibname %{name}-gir %{gmajor}

%define libnameappstream_builder	%mklibname appstream-builder %{major}
%define girnameappstream_builder	%mklibname appstream-builder-gir %{gmajor}

%define devname	%mklibname %{name} -d

%define url_ver	%(echo %{version} | cut -d. -f1,2)

Name:		appstream-glib
Version:	0.7.14
Release:	%mkrel 1
Summary:	Library for reading and writing AppStream metadata
Group:		System/Libraries
License:	LGPLv2+
URL:		http://people.freedesktop.org/~hughsient/appstream-glib/
Source0:	http://people.freedesktop.org/~hughsient/appstream-glib/releases/%{name}-%{version}.tar.xz

# Regular build dependencies
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(libgcab-1.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.31.5
BuildRequires:	pkgconfig(glib-2.0) >= 2.45.8
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(json-glib-1.0) >= 1.1.1
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.51.92
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(yaml-0.1)
BuildRequires:	libstemmer-devel
BuildRequires:	intltool
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	gcab
BuildRequires:	gperf
BuildRequires:	meson
Obsoletes: lib64appstream-glib1
Obsoletes: appstream-util

%description
This library provides GObjects and helper methods to make it easy to read and
write AppStream metadata. It also provides a simple DOM implementation that
makes it easy to edit nodes and convert to and from the standardized XML
representation.


%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package i18n
Summary:	Library for reading and writing AppStream metadata - translations
Group:		System/Internationalization
Requires:   %{name} = %{version}-%{release}
BuildArch:	noarch

%description i18n
This package contains translations used by %{name}.

%prep
%setup -q

%build
%meson \
       -Dgtk-doc=true \
       -Dstemmer=false \
       -Ddep11=true \
       -Drpm=false

%meson_build

%install
%meson_install

%find_lang %{name}

%files
%{_bindir}/appstream-util
%{_bindir}/appstream-builder
%{_bindir}/appstream-compose
%{_datadir}/bash-completion/completions/appstream-util
%{_datadir}/bash-completion/completions/appstream-builder
%{_libdir}/asb-plugins-5/libasb_plugin_*.so
%{_mandir}/man1/appstream-builder.1*
%{_mandir}/man1/appstream-util.1*
%{_mandir}/man1/appstream-compose.1*
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*
%{_libdir}/libappstream-builder.so.%{major}
%{_libdir}/libappstream-builder.so.%{major}.*
%{_libdir}/girepository-1.0/AppStreamGlib-%{gmajor}.typelib
%{_libdir}/girepository-1.0/AppStreamBuilder-%{gmajor}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/appstream-glib/
%{_includedir}/lib%{name}/
%{_includedir}/libappstream-builder/
%{_libdir}/lib%{name}.so
%{_libdir}/libappstream-builder.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/appstream-builder.pc
%{_datadir}/gir-1.0/AppStreamGlib-%{gmajor}.gir
%{_datadir}/gir-1.0/AppStreamBuilder-%{gmajor}.gir
%{_datadir}/aclocal/appdata-xml.m4
%{_datadir}/aclocal/appstream-xml.m4
%{_datadir}/installed-tests/appstream-glib
%{_datadir}/gettext/its/appdata.its
%{_datadir}/gettext/its/appdata.loc

%files i18n -f %{name}.lang


%changelog
